Start a subscription (redirects to Stripe Checkout)
GET
/billing/checkout
const url = 'https://example.com/billing/checkout?tier=standard&seats=1&quantity=1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/billing/checkout?tier=standard&seats=1&quantity=1'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”tier
Tier
standard, zero-retention, or pack-10.
string
standard, zero-retention, or pack-10.
seats
Seats
Seats to start with; changeable in Checkout.
integer
Seats to start with; changeable in Checkout.
quantity
Quantity
Packs to buy (pack tiers); changeable in Checkout.
integer
Packs to buy (pack tiers); changeable in Checkout.
Responses
Section titled “Responses”Redirect to the Stripe-hosted page
Successful Response
Unknown tier or seat count out of range
Media typeapplication/json
ErrorResponse
object
error
required
ErrorDetail
object
type
required
Type
string
message
required
Message
string
key
additional properties
any
Example
{ "error": { "documents_used": 200, "message": "Monthly document quota reached: 200 of 200 documents used this month. The cap resets on 2026-08-01. Email sales@easting.ai to raise it.", "monthly_cap": 200, "resets_on": "2026-08-01", "type": "quota_exceeded" }}Stripe did not return a URL
Media typeapplication/json
ErrorResponse
object
error
required
ErrorDetail
object
type
required
Type
string
message
required
Message
string
key
additional properties
any
Example
{ "error": { "documents_used": 200, "message": "Monthly document quota reached: 200 of 200 documents used this month. The cap resets on 2026-08-01. Email sales@easting.ai to raise it.", "monthly_cap": 200, "resets_on": "2026-08-01", "type": "quota_exceeded" }}Self-serve billing is not configured
Media typeapplication/json
ErrorResponse
object
error
required
ErrorDetail
object
type
required
Type
string
message
required
Message
string
key
additional properties
any
Example
{ "error": { "documents_used": 200, "message": "Monthly document quota reached: 200 of 200 documents used this month. The cap resets on 2026-08-01. Email sales@easting.ai to raise it.", "monthly_cap": 200, "resets_on": "2026-08-01", "type": "quota_exceeded" }}